
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "odt_handlebars/version"

Gem::Specification.new do |spec|
  spec.name          = "odt_handlebars"
  spec.version       = OdtHandlebars::VERSION
  spec.authors       = ["Peter Schrammel"]
  spec.email         = ["peter.schrammel@gmx.de"]

  spec.summary       = %q{Use an OpenOffice/LibreOffice Document as a handlebar template}
  spec.description   = %q{Replace handleber macros in a OpenOffice/LibreOffice Writer document. Even allows to create table rows. }
  spec.homepage      = "https://github.com/pschrammel/odt_handlebars"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"

    spec.metadata["homepage_uri"] = spec.homepage
    spec.metadata["source_code_uri"] = "https://github.com/pschrammel/odt_handlebars.git"
    spec.metadata["changelog_uri"] = "https://github.com/pschrammel/odt_handlebars/blob/master/Changelog.md"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'nokogiri', "~> 1.10"
  spec.add_dependency 'handlebars', "~> 0.8"
  spec.add_dependency 'rubyzip', "~> 2.3"

  spec.add_development_dependency 'byebug', "~> 0"
  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
end
